# $Revision: 1.43.2.2 $, $Date: 2007/03/18 13:57:58 $
#
# Conditional build:
%bcond_with	colors		# with color version
%bcond_with	ipv6		# with IPv6 support (default IPv4-only)
#
Summary:	rTorrent - a console-based BitTorrent client
Summary(pl):	rTorrent - konsolowy klient BitTorrenta
Name:		rtorrent
Version:	0.7.2
Release:	3
License:	GPL v2
Group:		Applications/Networking
Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	e010458b6c316d867de5da08f03bea0c
Patch100:	%{name}-colors.patch
Patch101:	%{name}-dns_peer_info.patch
URL:		http://libtorrent.rakshasa.no/
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.12
BuildRequires:	libstdc++-devel
BuildRequires:	libtorrent-devel >= 0.11.2
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rTorrent is a console-based BitTorrent client. It aims to be a
fully-featured and efficient client with the ability to run in the
background using screen. It supports fast-resume and session
management.

%description -l pl
rTorrent to konsolowy klient BitTorrenta. Jego celem jest by penym i
wydajnym klientem, z moliwoci uruchamiania go w tle przy uyciu
screena. Obsuguje szybkie wznawianie i zarzdzanie sesjami.

%prep
%setup -q
%if %{with colors}
%patch100 -p1
#%patch101 -p1
%endif

%build
cp /usr/share/automake/config.sub .
%configure \
	CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--%{?with_ipv6:en}%{!?with_ipv6:dis}able-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO doc/rtorrent.rc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/rtorrent.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rtorrent.spec,v $
Revision 1.43.2.2  2007/03/18 13:57:58  glen
- rel 3 (curl rebuild)

Revision 1.43.2.1  2007/03/18 00:36:36  glen
- rel 2 (curl)

Revision 1.43  2007/01/26 17:16:38  charles
- updated to 0.7.2

Revision 1.42  2007/01/14 08:15:09  charles
- IPv6 support (with bcond)
- BR libtorrent-devel up to >= 0.11.1
- rel. 1

Revision 1.41  2007/01/07 06:45:18  charles
- updated to 0.7.1

Revision 1.40  2006/12/14 09:33:28  charles
- updated to 0.7.0
- rm -client_info.patch

Revision 1.39  2006/10/29 04:13:43  charles
- updated to 0.6.4
- rm obsolete -inttypes.patch

Revision 1.38  2006/10/06 19:38:42  charles
- updated to 0.6.3

Revision 1.37  2006/09/14 15:43:23  charles
- updated to 0.6.2

Revision 1.36  2006/08/21 13:01:48  charles
- updated to 0.6.1

Revision 1.35  2006/07/13 01:53:04  charles
- by default disabled -dns_peer_info.patch (moved to with_colors)

Revision 1.34  2006/07/13 01:12:06  charles
- added -dns_peer_info.patch (display DNS name in the peer info)

Revision 1.33  2006/07/10 16:24:23  charles
- updated to 0.6.0
- added -client_info.patch (identification of the majority of clients)

Revision 1.32  2006/05/23 13:35:34  charles
- updated to 0.5.3

Revision 1.31  2006/05/20 10:03:44  charles
- updated to 0.5.2
- rm -convert_fn.patch (applied upstream)

Revision 1.30  2006/05/08 18:35:22  pluto
- release 2.

Revision 1.29  2006/05/08 14:47:18  charles
- added -convert_fn.patch (for gcc4)

Revision 1.28  2006/05/06 01:22:48  charles
- updated to 0.5.1

Revision 1.27  2006/04/07 12:05:55  charles
- md5

Revision 1.26  2006/04/07 11:50:16  charles
- updated to 0.5.0

Revision 1.25  2006/03/31 23:08:31  charles
- fixed build on amd64

Revision 1.24  2006/02/17 15:07:00  charles
- updated to 0.4.5

Revision 1.23  2006/02/07 13:03:07  charles
- updated to 0.4.4
- added -inttypes.patch; temporarily commented out -colors.patch

Revision 1.22  2006/01/19 20:41:17  charles
- updated to 0.4.3

Revision 1.21  2006/01/10 12:16:28  charles
- updated to 0.4.2

Revision 1.20  2005/12/21 19:28:23  charles
- BR/R libtorrent less restrictive deps

Revision 1.19  2005/12/21 03:49:31  charles
- updated to 0.4.1

Revision 1.18  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.17  2005/11/22 02:39:41  charles
- updated to 0.4.0
- updated -colors.patch

Revision 1.16  2005/10/20 00:07:58  charles
- updated to 0.3.6

Revision 1.15  2005/09/29 00:32:02  charles
- updated to 0.3.5

Revision 1.14  2005/09/18 16:13:23  charles
- updated to 0.3.4

Revision 1.13  2005/09/02 23:23:30  charles
- updated to 0.3.3
- updated -colors.patch

Revision 1.12  2005/08/16 21:50:45  charles
- updated to 0.3.2

Revision 1.11  2005/08/13 23:39:03  charles
- updated to 0.3.1

Revision 1.10  2005/07/29 18:18:53  charles
- updated -colors.patch
- rel. 2

Revision 1.9  2005/07/19 23:02:28  charles
- updated to 0.3.0 (with libtorrent 0.7.0)
- temporarily commented out -colors.patch

Revision 1.8  2005/07/15 15:10:52  charles
- BR: zlib-devel

Revision 1.7  2005/07/15 14:00:05  charles
- always requires newest version of libtorrent

Revision 1.6  2005/07/15 09:27:27  kosmo
- updated to 0.2.7

Revision 1.5  2005/07/02 20:46:46  charles
- bcond with colors (-colors.patch)
- R: libtorrent with proper version
- rel. 2

Revision 1.4  2005/06/27 10:53:24  charles
- updated to 0.2.6
- rel. 1

Revision 1.3  2005/06/17 21:22:56  qboosh
- pl fixes

Revision 1.2  2005/06/17 09:31:55  spider
- pl
- probably group

Revision 1.1  2005/06/16 12:08:11  charles
- new (fast & "memory friendly" BitTorrent client)
